commit:     fe0770f094322342a26ee3d12b4da813fd35fc65
Author:     Jonas Stein <jstein <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  4 19:59:56 2022 +0000
Commit:     Jonas Stein <jstein <AT> gentoo <DOT> org>
CommitDate: Fri Feb  4 20:00:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe0770f0

app-text/tree: bump to 2.0.1

Version bump to 2.0.1
EAPI bump
Closes: https://bugs.gentoo.org/832466
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Jonas Stein <jstein <AT> gentoo.org>

 app-text/tree/Manifest          |  1 +
 app-text/tree/tree-2.0.1.ebuild | 41 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/app-text/tree/Manifest b/app-text/tree/Manifest
index 22f905698518..c24567515554 100644
--- a/app-text/tree/Manifest
+++ b/app-text/tree/Manifest
@@ -1 +1,2 @@
 DIST tree-1.8.0.tgz 50286 BLAKE2B 
51a27500b89a46add6e792d446b465696d2b34339bbd06f03baff9ce589131b5d82c414849f891dbb79a3f3cfb23b89336e783ad23b84c1fb5415a13fb9488cd
 SHA512 
3f657a6278ec5eab2fccab39dfd69bf9376811189a368b5e3213dc900b90a4e7a4961fc58eb80ad2efd5b40d2fbd0146ec59f30fe0bba576f93519214f240695
+DIST tree-2.0.1.tgz 57213 BLAKE2B 
977f3bd606881f92f7e39fb167205b468f77408a2fa3ff14c20eeab0e6f194115d2d41a3919751c9c9d103ae185dc231710a464f0c57ea244e8a410782503d6f
 SHA512 
11a45136d62ee7b4acdb599025ddddc250f3b95c46c94cea132bdc226357561bbae3ed874a99e554d2e01a93eaac639fb89d8a2539964ce788540ac3537f0e4c

diff --git a/app-text/tree/tree-2.0.1.ebuild b/app-text/tree/tree-2.0.1.ebuild
new file mode 100644
index 000000000000..3abae6ee3bd9
--- /dev/null
+++ b/app-text/tree/tree-2.0.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit toolchain-funcs flag-o-matic bash-completion-r1
+
+DESCRIPTION="Lists directories recursively, and produces an indented listing 
of files"
+HOMEPAGE="http://mama.indstate.edu/users/ice/tree/";
+SRC_URI="ftp://mama.indstate.edu/linux/tree/${P}.tgz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE=""
+
+RDEPEND=""
+DEPEND=""
+
+src_prepare() {
+       sed -i -e 's:LINUX:__linux__:' tree.c || die
+       if use !elibc_glibc ; then
+               # 433972, also previously done only for elibc_uclibc
+               sed -i -e '/^OBJS=/s/$/ strverscmp.o/' Makefile || die
+       fi
+       default
+}
+
+src_compile() {
+       append-lfs-flags
+       emake \
+               CC="$(tc-getCC)" \
+               CFLAGS="${CFLAGS} ${CPPFLAGS}" \
+               LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+       dobin tree
+       doman doc/tree*.1
+       einstalldocs
+       newbashcomp "${FILESDIR}"/${PN}.bashcomp ${PN}
+}

Reply via email to